/***************************************************************************
 *   Copyright (C) 2005 by Angelo Rosiello   *
 *   angelo@rosiello.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KRYPTOR_H_
#define _KRYPTOR_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "arcs.h"

#include <kapplication.h>
#include <kmainwindow.h>
#include <kmenubar.h>
#include <kpopupmenu.h>
#include <qfiledialog.h>
#include <kmessagebox.h>
#include <qlabel.h>
#include <ktoolbar.h>
#include <kiconloader.h>
#include <kactionselector.h>
#include <kstatusbar.h>
#include <qlistbox.h>
#include <kpassdlg.h>
#include <iostream>
#include <qprogressdialog.h>
#include <kconfigdialog.h>
#include <klocale.h>
#include <qwidget.h>
#include <fstream>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>

/**
 * @short Kryptor
 * @author Angelo Rosiello <angelo@rosiello.org>
 * @version 0.1
 */
class Kryptor : public KMainWindow
{
  Q_OBJECT
  public:
    /**
     * Default Constructor
    */
    Kryptor();

    /**
     * Default Destructor
    */
    ~Kryptor();

     void setDir(const QString &path);

  public slots:
    /**
     * Encrypting function
     * @param void
     * @return void
    */
    void encrypt( );

    /**
     * Decrypting function
     * @param void
     * @return void
    */
    void decrypt( );

    /**
     * File secure erasing function
     * @param void
     * @return void
    */
    void fileErase( );

    /**
     * Exit function
     * @param void
     * @return void
    */
    void programExit();

    /**
     *  function
     * @param void
     * @return void
    */
    void availableItemSelected( int index );

  private:
    KMenuBar *menu;
    KPopupMenu *file, *help;
    KToolBar *toolbar;
    KActionSelector *view;
    KStatusBar *statusBar;
    QListBox *available, *selected;
    QString basePath;

    void initializeSelector( );
};

#endif // _KRYPTOR_H_
