/***************************************************************************
 *   Copyright (C) 2005 by Angelo Rosiello   *
 *   angelo@rosiello.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "kryptor.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <qfileinfo.h>
#include <qpixmap.h>

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main( int argc, char **argv )
{
    KAboutData about("kryptor", I18N_NOOP("Kryptor"), version, description,
		     KAboutData::License_GPL, "(C) 2005 Angelo Rosiello", 0, 0, "angelo@rosiello.org");
    about.addAuthor( "Angelo Rosiello", 0, "angelo@rosiello.org" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    Kryptor *mainWin = 0;
    QPixmap icon;

    if (app.isRestored())
    {
        RESTORE(Kryptor);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        mainWin = new Kryptor();
        if( QFileInfo( "/usr/share/pixmaps/padlock.png" ).exists()==TRUE )
        {
          icon=QPixmap( "/usr/share/pixmaps/padlock.png" );
        }
        else if( QFileInfo( "/usr/local/share/pixmaps/padlock.png" ).exists()==TRUE )
        {
          icon=QPixmap( "/usr/local/share/pixmaps/padlock.png" );
        }
        else 
          icon=QPixmap( "/usr/local/kde/share/pixmaps/padlock.png" );

        mainWin->setIcon( icon );
        app.setMainWidget( mainWin );
        mainWin->setGeometry(100,50,800,500);
        mainWin->show();

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

